<?php
date_default_timezone_set('America/Lima');

class cGuiaremision{
	
	
	
	function insertar($fec,$docid,$numdoc,$rec_tip,$rec_id,$rec_doc,$rec_nom,$connom,$conlic,$tradoc,$trarazsoc,$venid,$vennumdoc,$motid,$vehmar,
	$vehpla,$guiapar,$guialleg,$guiaobs,$usuid,$punvenid,$aten,$digval,$sigval,$fecenv,$estsun,$xmlurl){	
		$now =  date('Y-m-d h:i:s a');		
		$sql = "INSERT INTO tb_guiaremision(
		`tb_guiaremision_reg` ,
		`tb_guiaremision_fec` ,
		`tb_documento_id` ,
		`tb_guiaremision_numdoc` ,
		`tb_receptor_tip` ,
		`tb_receptor_id` ,
		`tb_receptor_doc` ,
		`tb_receptor_nom` ,
		`tb_conductor_nom` ,
		`tb_conductor_lic` ,
		`tb_transporte_doc` ,
		`tb_transporte_razsoc` ,
		`tb_venta_id` ,
		`tb_venta_numdoc` ,
		`tb_motivo_id` ,
		`tb_vehiculo_mar` ,
		`tb_vehiculo_pla` ,
		`tb_guiaremision_par` ,
		`tb_guiaremision_lleg` ,
		`tb_guiaremision_obs` ,
		`tb_usuario_id` ,
		`tb_puntoventa_id`,
		`tb_guiaremision_ate`,
		`tb_guiaremision_digval`,
		`tb_guiaremision_sigval`,
		`tb_guiaremision_fecenvsun`,
		`tb_guiaremision_estsun`,
		`tb_guiaremision_xmlurl`
		)
		VALUES (
		'$now', '$fec','$docid','$numdoc','$rec_tip','$rec_id','$rec_doc','$rec_nom','$connom','$conlic','$tradoc','$trarazsoc','$venid','$vennumdoc','$motid','$vehmar',
		'$vehpla','$guiapar','$guialleg','$guiaobs','$usuid','$punvenid','$aten','$digval','$sigval','$fecenv','$estsun','$xmlurl' )"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die ('false');
		return $rst;	
	}
	
	function guia_asunat($fec1,$fec2){
		
		$sql="SELECT * FROM tb_guiaremision where tb_guiaremision_estsun != 1 and tb_guiaremision_fec between '$fec1' and '$fec2'  ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function insertar_detalle($can,$catid,$marid,$pes,$preuni,$guiaid){
		$sql = "INSERT INTO tb_guiaremisiondetalle(
		`tb_guiaremisiondetalle_can` ,
		`tb_catalogo_id`,
		`tb_marca_id`,
		`tb_guiaremisiondetalle_pes`,
		`tb_guiaremisiondetalle_preuni`,
		`tb_guiaremision_id`
		)
		VALUES ('$can','$catid','$marid','$pes','$preuni','$guiaid')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "select max(tb_guiaremision_id) as 'id' from tb_guiaremision"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrar_filtro($fec1,$fec2,$docnum,$recdoc,$usu_id,$emp_id){
		$sql="SELECT * FROM tb_guiaremision gui 
		inner join tb_documento doc on doc.tb_documento_id = gui.tb_documento_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = gui.tb_puntoventa_id
		inner join tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		inner join tb_usuario u on u.tb_usuario_id = gui.tb_usuario_id
		WHERE gui.tb_guiaremision_xac=1 ";
		
		if($docnum!=""){
			$sql.=" AND gui.tb_guiaremision_numdoc = '$docnum' ";
		}else{
			$sql.=" AND gui.tb_guiaremision_fec BETWEEN '$fec1' AND '$fec2' ";
			if($emp_id>0)$sql.=" AND emp.tb_empresa_id = '$emp_id' ";
			if($recdoc>0)$sql.=" AND gui.tb_receptor_doc = '$recdoc' ";
			
		}
		
		/* if($usu_id>0)$sql.=" AND v.tb_usuario_id = $usu_id "; */
		
		$sql.=" ORDER BY gui.tb_guiaremision_id desc";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarUnoxVenta($venid){
		$sql="select * from tb_guiaremision gr
		INNER join tb_venta v on v.tb_venta_id = gr.tb_venta_id
		inner join tb_puntoventa pv on v.tb_puntoventa_id = pv.tb_puntoventa_id 
		inner join tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		where gr.tb_venta_id = '$venid' ";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function validar_guiaventa($venid,$catid,$marid){
		$sql="select sum(gd.tb_guiaremisiondetalle_can) as 'can'  from tb_guiaremision g 
		inner join tb_guiaremisiondetalle gd on gd.tb_guiaremision_id = g.tb_guiaremision_id 
		where g.tb_venta_id = '$venid' and gd.tb_catalogo_id = '$catid' and gd.tb_marca_id = '$marid' 
		group by gd.tb_catalogo_id,gd.tb_marca_id ";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function validar_venta($venid,$catid,$marid){
		$sql="select * from tb_venta v
		inner join tb_ventadetalle vd on vd.tb_venta_id = v.tb_venta_id 
		where v.tb_venta_id = '$venid' and vd.tb_catalogo_id = '$catid' and vd.tb_marca_id = '$marid' ";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarUno($guiaid){
		$sql="SELECT emp.tb_empresa_id as 'empid',emp.*,gui.*,doc.*,u.*,v.*,dv.tb_documento_abr 'docabr',
		gui.tb_venta_numdoc as 'docrel' FROM tb_guiaremision gui 
		left join tb_documento doc on doc.tb_documento_id = gui.tb_documento_id
		inner join tb_usuario u on u.tb_usuario_id = gui.tb_usuario_id
		left join tb_venta v on v.tb_venta_id = gui.tb_venta_id
        left join tb_documento dv on dv.tb_documento_id = v.tb_documento_id
		left join tb_puntoventa pv on pv.tb_puntoventa_id = gui.tb_puntoventa_id
		left join tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		WHERE gui.tb_guiaremision_xac=1 and gui.tb_guiaremision_id = '$guiaid' ";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrardetalle($guiaid){
		$sql="SELECT * FROM tb_guiaremisiondetalle WHERE tb_guiaremision_id = '$guiaid' ";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
function convertir_hash($id){
	$key = 'EixMKU90GHKJGhDVN78A';
	$sql="SELECT * FROM tb_guiaremision
	WHERE MD5(concat('$key',tb_guiaremision_id)) = '$id'";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}

	function verexistencia($venid){
		$sql="SELECT * FROM tb_guiaremision g 
		inner join tb_venta v on g.tb_venta_id = v.tb_venta_id
		where g.tb_guiaremision_xac = 1 and v.tb_venta_id = '$venid'";
	
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function act_firma($id,$digval,$sigval,$url){
		$now =  date('Y-m-d h:i:s a');
	$sql = "UPDATE tb_guiaremision SET  
	`tb_guiaremision_digval` =  '$digval',
	`tb_guiaremision_sigval` =  '$sigval',
	`tb_guiaremision_xmlurl` =  '$url'
	WHERE tb_guiaremision_id = '$id' "; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function act_sunat($id,$est){
		$now =  date('Y-m-d h:i:s a');
	$sql = "UPDATE tb_guiaremision SET  
	`tb_guiaremision_fecenvsun` =  '$now',
	`tb_guiaremision_estsun` =  '$est'
	WHERE tb_guiaremision_id = '$id' "; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}

}
?>